Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaPlayers

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaPlayers

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class MediaPlayers

extends PdfObjectWrapper<PdfDictionary>

Media player rules [PDF:1.7:9.1.6].

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`MediaPlayers(Document context)`

Method Summary
`MediaPlayers` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Array<MediaPlayer>` | `getAllowedPlayers()` Gets a set of players, any of which may be used in playing the associated media object.
`Array<MediaPlayer>` | `getForbiddenPlayers()` Gets a set of players that must NOT be used in playing the associated media object.
`Array<MediaPlayer>` | `getRequiredPlayers()` Gets a set of players, one of which must be used in playing the associated media object.
`void` | `setAllowedPlayers(Array<MediaPlayer> value)`
`void` | `setForbiddenPlayers(Array<MediaPlayer> value)`
`void` | `setRequiredPlayers(Array<MediaPlayer> value)`
`static MediaPlayers` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaPlayers

    public MediaPlayers(Document context)

Method Detail

### wrap

    public static MediaPlayers wrap(PdfDirectObject baseObject)

### clone

    public MediaPlayers clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAllowedPlayers

    public Array<MediaPlayer> getAllowedPlayers()

  Gets a set of players, any of which may be used in playing the associated media object. This collection is ignored if `getRequiredPlayers()` is non-empty.

### getForbiddenPlayers

    public Array<MediaPlayer> getForbiddenPlayers()

  Gets a set of players that must NOT be used in playing the associated media object. This collection takes priority over `getRequiredPlayers()`.

### getRequiredPlayers

    public Array<MediaPlayer> getRequiredPlayers()

  Gets a set of players, one of which must be used in playing the associated media object.

### setAllowedPlayers

    public void setAllowedPlayers(Array<MediaPlayer> value)

  See Also:
    `getAllowedPlayers()`

### setForbiddenPlayers

    public void setForbiddenPlayers(Array<MediaPlayer> value)

  See Also:
    `getForbiddenPlayers()`

### setRequiredPlayers

    public void setRequiredPlayers(Array<MediaPlayer> value)

  See Also:
    `getRequiredPlayers()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.